#include<fstream>
#include<algorithm>
using namespace std;
int tri(int a,int b,int c)
{
	if((a+b>c)&&(b+c>a)&&(c+a>b)) return 1;
	else return 0;
}
int main()
{
	ifstream f1("BAI2_18.INP");
	ofstream f2("BAI2_18.OUT");
	int n;
	f1>>n;
	int f[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	sort(f,f+n);
	int u=0;
	int j;
	int k;
	for(i=0;i<n-2;i++)
	{
		for(j=i+1;j<n-1;j++)
		{
			if(f[i]==f[j]) continue;
			for(k=j+1;k<n;k++)
			{
				if(tri(f[i],f[j],f[k])==1) u++;
				if(f[k]>=f[i]+f[j]) break;
			}
		}
	}
	f2<<u;
	return 0;
}
